Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Cancel media asset analysis

Prev Next

Available in VPC

Cancel pending or in-progress media asset analysis. All intermediate deliverables will be deleted upon cancellation.

Note
  • You can only cancel while the task is in the pending (WAIT_ANALYZE) or in progress (ANALYZING) status. A 409 error is returned for requests made under any other conditions.
  • To cancel an ongoing analysis job, use the cancel endpoint (/index/cancel) and to delete a completed index, use Delete index.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/index/cancel

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
workspace_name String Required Workspace name
project_id String Required Project ID
asset_id String Required Media asset ID

Request example

The request example is as follows:

curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/index/cancel' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Error code Message Description
409 Cannot cancel analysis in the current state Cancellation request for an analysis that is not pending or in progress

Response example

The response example is as follows:

{
    "code": "0",
    "message": "success"
}